package cn.hmsoft.weixin.data.model;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
 * 微信菜单定义
 * 
 * @author: Zhang XiaoQing
 * @date: 2017-08-28 21:52:48
 * @version: 4.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "WX_MENU_DEFINE", keyColumn = "", sequenceName = "")
public class WxMenuDefine implements Serializable {
	private static final long serialVersionUID = -480176465165807109L;
	private Integer wx_id;
	// 排序
	private Integer menu_order;
	// 是否启用
	private String menu_status;
	// 菜单键值
	private String menu_key;
	// 上一级菜单
	private String menu_pid;
	// 菜单名称
	private String menu_text;
	// 菜单参数
	private String menu_param;
	// 菜单类型
	private String menu_type;

	public Integer getWx_id() {
		return wx_id;
	}

	public void setWx_id(Integer wx_id) {
		this.wx_id = wx_id;
	}


	/****
	 * 排序
	 */
	public Integer getMenu_order() {
		return this.menu_order;
	}

	/****
	 * 排序
	 */
	public void setMenu_order(Integer menu_order) {
		this.menu_order = menu_order;
	}

	/****
	 * 是否启用
	 */
	public String getMenu_status() {
		return this.menu_status;
	}

	/****
	 * 是否启用
	 */
	public void setMenu_status(String menu_status) {
		this.menu_status = menu_status;
	}

	/****
	 * 菜单键值
	 */
	public String getMenu_key() {
		return this.menu_key;
	}

	/****
	 * 菜单键值
	 */
	public void setMenu_key(String menu_key) {
		this.menu_key = menu_key;
	}

	/****
	 * 上一级菜单
	 */
	public String getMenu_pid() {
		return this.menu_pid;
	}

	/****
	 * 上一级菜单
	 */
	public void setMenu_pid(String menu_pid) {
		this.menu_pid = menu_pid;
	}

	/****
	 * 菜单名称
	 */
	public String getMenu_text() {
		return this.menu_text;
	}

	/****
	 * 菜单名称
	 */
	public void setMenu_text(String menu_text) {
		this.menu_text = menu_text;
	}

	/****
	 * 菜单参数
	 */
	public String getMenu_param() {
		return this.menu_param;
	}

	/****
	 * 菜单参数
	 */
	public void setMenu_param(String menu_param) {
		this.menu_param = menu_param;
	}

	/****
	 * 菜单类型
	 */
	public String getMenu_type() {
		return this.menu_type;
	}

	/****
	 * 菜单类型
	 */
	public void setMenu_type(String menu_type) {
		this.menu_type = menu_type;
	}
}